Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Descrizione

Ricostruisce la cache della configurazione di sistema.

## Sintassi

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrizione

`kbuildsyscoca`, che fa parte degli strumenti da riga di comando di &kde;, assicura il buon funzionamento di &kde; leggendo tutti i file `.desktop`, `.directory`, `.kimgio` e `.protocol` per costruire una banca dati in formato binario.

&kde; durante il suo funzionamento accede a questa banca dati per fornire le informazioni di configurazione ad un programma che dev'essere eseguito.

Questo strumento fa parte di ksyscoca, che significa &kde; System Configuration Cache

## Opzioni

`--nosignal`

  Non invia segnali alle applicazioni

`--incremental`

  Aggiornamento incrementale

`--help`

  Mostra una guida sulle opzioni

`--help-qt`

  Mostra le opzioni specifiche per Qt

`--help-kde`

  Mostra le opzioni specifiche per KDE

`--help-all`

  Mostra tutte le opzioni

`--author`

  Mostre le informazioni sull'autore

`--version`

  Mostra le informazioni di versione

`--license`

  Mostra le informazioni di licenza

## Uso

Una maniera standard di eseguire questo programma è di specificare il seguente comando al prompt ``kbuildsyscoca``

## File

`/tmp/kde-$USER/ksyscoca`

  ...

## Variabili ambiente

$`KDEDIRS`

  Indica quali cartelle fanno parte dell'installazione di KDE

## Vedi anche

ksycoca(3), kblah(4), knogga(6)

## Bug

Non ci sono bug conosciuti al momento della scrittura di questa guida.